ELBaseTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.html
Class ELBaseTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.html.BaseTag
              org.apache.strutsel.taglib.html.ELBaseTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

    public class ELBaseTag

extends BaseTag

Renders an HTML element with an href attribute pointing to the absolute location of the enclosing JSP page. This tag is only valid when nested inside a head tag body. The presence of this tag allows the browser to resolve relative URL's to images, CSS stylesheets and other resources in a manner independent of the URL used to call the ActionServlet.

This class is a subclass of the class `org.apache.struts.taglib.html.BaseTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.html.BaseTag
`messages, ref, REF_PAGE, REF_SITE, server, target`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELBaseTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getRefExpr()` Getter method for "ref" tag attribute.
`String` | `getServerExpr()` Getter method for "server" tag attribute.
`String` | `getTargetExpr()` Getter method for "target" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setRefExpr(String refExpr)` Setter method for "ref" tag attribute.
`void` | `setServerExpr(String serverExpr)` Setter method for "server" tag attribute.
`void` | `setTargetExpr(String targetExpr)` Setter method for "target" tag attribute.

Methods inherited from class org.apache.struts.taglib.html.BaseTag
`getRef, getServer, getTarget, renderBaseElement, setRef, setServer, setTarget`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELBaseTag

    public ELBaseTag()

Method Detail

### getTargetExpr

    public String getTargetExpr()

  Getter method for "target" tag attribute. (Mapping set in associated BeanInfo class.)

### getServerExpr

    public String getServerExpr()

  Getter method for "server" tag attribute. (Mapping set in associated BeanInfo class.)

### getRefExpr

    public String getRefExpr()

  Getter method for "ref" tag attribute. (Mapping set in associated BeanInfo class.)

### setTargetExpr

    public void setTargetExpr(String targetExpr)

  Setter method for "target" tag attribute. (Mapping set in associated BeanInfo class.)

### setServerExpr

    public void setServerExpr(String serverExpr)

  Setter method for "server" tag attribute. (Mapping set in associated BeanInfo class.)

### setRefExpr

    public void setRefExpr(String refExpr)

  Setter method for "ref" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BaseTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.